Package org.bgerp.dao.process

# Class ProcessQueueDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.process.ProcessDAO
org.bgerp.dao.process.ProcessQueueDAO

Direct Known Subclasses:
  `BoardDAO`

public class ProcessQueueDAO extends ProcessDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `LINKED_PROCESS_JOIN`

  ### Fields inherited from class ru.bgcrm.dao.process.ProcessDAO

  `form, LINKED_PROCESS, MODE_USER_CLOSED, MODE_USER_CREATED, MODE_USER_STATUS_CHANGED`

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessQueueDAO(Connection con)`
  Constructor without user isolation.
  `ProcessQueueDAO(Connection con, DynActionForm form)`
  Constructor with isolation support.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addFilters(Queue queue, DynActionForm form, QueueSelectParams params)`
  `String`
  `getCountQuery(Queue queue, DynActionForm form)`
  `protected QueueSelectParams`
  `prepareQueueSelect(Queue queue)`
  `void`
  `searchProcess(Pageable<Object[]> searchResult, List<String> aggregatedValues, Queue queue, DynActionForm form)`
  Selects processes for a queue's.

  ### Methods inherited from class ru.bgcrm.dao.process.ProcessDAO

  `deleteProcess, getIsolationJoin, getProcess, getProcessFromRs, getProcessFromRs, getProcessOrThrow, processIdInvert, searchProcessListByAddress, searchProcessListForUser, searchProcessListForUser, updateProcess, updateProcessExecutors, updateProcessGroups, updateProcessTitle`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LINKED_PROCESS_JOIN

    public static final String LINKED_PROCESS_JOIN
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProcessQueueDAO

    public ProcessQueueDAO(Connection con)
    Constructor without user isolation.
    Parameters:
      `con` - DB connection.

  - ### ProcessQueueDAO

    public ProcessQueueDAO(Connection con, DynActionForm form)
    Constructor with isolation support.
    Parameters:
      `con` - DB connection.
      `form` - value of `ProcessDAO.form`.

- ## Method Details

  - ### searchProcess

    public void searchProcess(Pageable<Object[]> searchResult, List<String> aggregatedValues, Queue queue, DynActionForm form) throws Exception
    Selects processes for a queue's.
    Parameters:
      `searchResult` -
      `aggregatedValues` - if not null - aggregated values are stored there.
      `queue` -
      `form` -
    Throws:
      `Exception`

  - ### prepareQueueSelect

    protected QueueSelectParams prepareQueueSelect(Queue queue) throws Exception
    Throws:
      `Exception`

  - ### getCountQuery

    public String getCountQuery(Queue queue, DynActionForm form) throws Exception
    Throws:
      `Exception`

  - ### addFilters

    protected void addFilters(Queue queue, DynActionForm form, QueueSelectParams params)